All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
faiss::ScopeDeleter1< T > Struct Template Reference

`#include <FaissException.h>`

## Public Member Functions

| ScopeDeleter1 (const T *ptr=nullptr)
void | release ()
void | set (const T *ptr_in)
void | swap (ScopeDeleter1< T > &other)

## Public Attributes

const T * | ptr

## Detailed Description

### template<class T>
struct faiss::ScopeDeleter1< T >

same but deletes with the simple delete (least common case)

Definition at line 52 of file FaissException.h.

The documentation for this struct was generated from the following file:

- /data/users/matthijs/github_faiss/faiss/FaissException.h